## grendel.addressbook.addresscard
Class AddressCardAttributeSet

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.AddressCardAttributeSet

public class AddressCardAttributeSet
extends java.lang.Object
implements IAttributeSet

Defines an attribute set.

Constructor Summary
`AddressCardAttributeSet()`

Method Summary
`void` | `add(IAttribute anAttribute)`
`java.util.Enumeration` | `elements()`
`IAttribute` | `getAttribute(java.lang.String anAttributeName)`
`java.util.Enumeration` | `getEnumeration()`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressCardAttributeSet

    public AddressCardAttributeSet()

Method Detail

### add

    public void add(IAttribute anAttribute)

### elements

    public java.util.Enumeration elements()

### getEnumeration

    public java.util.Enumeration getEnumeration()

  Specified by:
    getEnumeration in interface IAttributeSet

### getAttribute

    public IAttribute getAttribute(java.lang.String anAttributeName)

  Specified by:
    getAttribute in interface IAttributeSet

### size

    public int size()

  Specified by:
    size in interface IAttributeSet